Telegram APIUpload
upload.getFileHashes
Get SHA256 hashes for verifying downloaded files
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Get SHA256 hashes for verifying downloaded files
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/upload.getFileHashes" \ -H "Content-Type: application/json" \ -d '{ "params": { "location": { "_": "inputPeerPhotoFileLocationLegacy", "peer": { "_": "inputPeerEmpty" }, "volumeId": "string", "localId": 0 }, "offset": 0 } }'{ "result": { "_": "fileHash", "offset": 0, "limit": 0, "hash": "string" }}getFile
Returns content of a whole file or its part.
getWebFile
Returns content of a web file, by proxying the request through telegram, see the [webfile docs for more info](https://core.telegram.org/api/files#downloading-webfiles). Note: the query must be sent to the DC specified in the webfile_dc_id [MTProto configuration field](https://core.telegram.org/api/config#mtproto-configuration).